<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- wix-module.qdoc -->
  <title>wix QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">wix QML Type</h1>
<span class="subtitle"></span>
<!-- $$$wix-brief -->
<p>Provides Windows Installer XML Toolset support. <a href="#details">More...</a></p>
<!-- @@@wix -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.2</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-wix-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#compilerFlags-prop">compilerFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#compilerName-prop">compilerName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#compilerPath-prop">compilerPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#cultures-prop">cultures</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#debugInformation-prop">debugInformation</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#defines-prop">defines</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#enableQbsDefines-prop">enableQbsDefines</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#extensions-prop">extensions</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#includePaths-prop">includePaths</a></b></b> : pathList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#linkerFlags-prop">linkerFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#linkerName-prop">linkerName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#linkerPath-prop">linkerPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#toolchainInstallPath-prop">toolchainInstallPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#toolchainInstallRoot-prop">toolchainInstallRoot</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#treatWarningsAsErrors-prop">treatWarningsAsErrors</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#verboseOutput-prop">verboseOutput</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#version-prop">version</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#versionBuild-prop">versionBuild</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#versionMajor-prop">versionMajor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#versionMinor-prop">versionMinor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#versionParts-prop">versionParts</a></b></b> : list</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#versionPatch-prop">versionPatch</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#visualStudioCompatibility-prop">visualStudioCompatibility</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-wix.html#warningLevel-prop">warningLevel</a></b></b> : string</li>
</ul>
<!-- $$$wix-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>wix</code> module contains properties and rules for building MSI and EXE setup packages with the <a href="http://wixtoolset.org">Windows Installer XML Toolset</a>.</p>
<p>This module is available on all platforms.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-wix"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;msi&quot;</code></td><td >-</td><td >1.2</td><td >The rule that creates the Microsoft Installer setup file attaches this tag to its output artifact.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;wixpdb&quot;</code></td><td >-</td><td >1.2</td><td >The rule that creates the Microsoft Installer setup file or WiX setup executable attaches this tag to the associated debug symbol file.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;wixsetup&quot;</code></td><td >-</td><td >1.2</td><td >The rule that creates the WiX setup executable attaches this tag to its output artifact.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;wxi&quot;</code></td><td ><code>*.wxi</code></td><td >1.2</td><td >This tag is attached to WiX include files.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;wxl&quot;</code></td><td ><code>*.wxl</code></td><td >1.2</td><td >This tag is attached to WiX localization files.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;wxs&quot;</code></td><td ><code>*.wxs</code></td><td >1.2</td><td >This tag is attached to WiX source files. Each source file will be compiled into one WiX object file.</td></tr>
</table></div>
<!-- @@@wix -->
<h2>Property Documentation</h2>
<!-- $$$compilerFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of additional flags for the Candle compiler.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@compilerFlags -->
<br/>
<!-- $$$compilerName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the compiler binary.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <code>&quot;candle.exe&quot;</code></p>
</div></div><!-- @@@compilerName -->
<br/>
<!-- $$$compilerPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The directory where the compiler binary is located.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <a href="qml-qbsmodules-wix.html#compilerName-prop">compilerName</a></p>
</div></div><!-- @@@compilerPath -->
<br/>
<!-- $$$cultures -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="cultures-prop">
<td class="tblQmlPropNode"><p>
<span class="name">cultures</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of localizations to include in the MSI.</p>
<p>If left undefined, includes all localizations.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@cultures -->
<br/>
<!-- $$$debugInformation -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="debugInformation-prop">
<td class="tblQmlPropNode"><p>
<span class="name">debugInformation</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to generate debug information.</p>
<p>Default: <a href="qml-qbsmodules-qbs.html#debugInformation-prop">qbs.debugInformation</a></p>
<p><b>See also </b><a href="qml-qbsmodules-qbs.html#debugInformation-prop">qbs.debugInformation</a>.</p>
</div></div><!-- @@@debugInformation -->
<br/>
<!-- $$$defines -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="defines-prop">
<td class="tblQmlPropNode"><p>
<span class="name">defines</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of preprocessor macros that get passed to the compiler.</p>
<p>To set macro values, use the following syntax:</p>
<pre class="cpp plain">

  wix.defines: [&quot;USE_COLORS=1&quot;, 'COLOR_STR=&quot;blanched almond&quot;']

</pre>
<p>Default: Undefined</p>
</div></div><!-- @@@defines -->
<br/>
<!-- $$$enableQbsDefines -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="enableQbsDefines-prop">
<td class="tblQmlPropNode"><p>
<span class="name">enableQbsDefines</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to define preprocessor macros corresponding to values from the project and product objects.</p>
<p>When building a 64-bit package, the preprocessor variable <code>Win64</code> will also be defined.</p>
<p>Default: <code>true</code></p>
</div></div><!-- @@@enableQbsDefines -->
<br/>
<!-- $$$extensions -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="extensions-prop">
<td class="tblQmlPropNode"><p>
<span class="name">extensions</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of extension assemblies to link into the output.</p>
<p>Possible values include:</p>
<ul>
<li>custom assemblies</li>
<li><code>&quot;WixBalExtension&quot;</code></li>
<li><code>&quot;WixComPlusExtension&quot;</code></li>
<li><code>&quot;WixDependencyExtension&quot;</code></li>
<li><code>&quot;WixDifxAppExtension&quot;</code></li>
<li><code>&quot;WixDirectXExtension&quot;</code></li>
<li><code>&quot;WixFirewallExtension&quot;</code></li>
<li><code>&quot;WixGamingExtension&quot;</code></li>
<li><code>&quot;WixIisExtension&quot;</code></li>
<li><code>&quot;WixMsmqExtension&quot;</code></li>
<li><code>&quot;WixNetFxExtension&quot;</code></li>
<li><code>&quot;WixPSExtension&quot;</code></li>
<li><code>&quot;WixSqlExtension&quot;</code></li>
<li><code>&quot;WixTagExtension&quot;</code></li>
<li><code>&quot;WixUIExtension&quot;</code></li>
<li><code>&quot;WixUtilExtension&quot;</code></li>
<li><code>&quot;WixVSExtension&quot;</code></li>
</ul>
<p>Default: <code>[&quot;WixBalExtension&quot;]</code> if the product type is an EXE setup application, otherwise <code>undefined</code>.</p>
</div></div><!-- @@@extensions -->
<br/>
<!-- $$$includePaths -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="includePaths-prop">
<td class="tblQmlPropNode"><p>
<span class="name">includePaths</span> : <span class="type">pathList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of include paths.</p>
<p>Relative paths are considered to be relative to the <code>.qbs</code> product file they are used in.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@includePaths -->
<br/>
<!-- $$$linkerFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="linkerFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">linkerFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of additional flags for the Light linker.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@linkerFlags -->
<br/>
<!-- $$$linkerName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="linkerName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">linkerName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the linker binary.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <code>&quot;light.exe&quot;</code></p>
</div></div><!-- @@@linkerName -->
<br/>
<!-- $$$linkerPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="linkerPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">linkerPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The directory where the linker binary is located.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: <a href="qml-qbsmodules-wix.html#linkerName-prop">linkerName</a></p>
</div></div><!-- @@@linkerPath -->
<br/>
<!-- $$$toolchainInstallPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="toolchainInstallPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">toolchainInstallPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX installation directory.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: Determined automatically by searching the registry for the latest version.</p>
</div></div><!-- @@@toolchainInstallPath -->
<br/>
<!-- $$$toolchainInstallRoot -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="toolchainInstallRoot-prop">
<td class="tblQmlPropNode"><p>
<span class="name">toolchainInstallRoot</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX binaries directory.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: Determined automatically by searching the registry for the latest version.</p>
</div></div><!-- @@@toolchainInstallRoot -->
<br/>
<!-- $$$treatWarningsAsErrors -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="treatWarningsAsErrors-prop">
<td class="tblQmlPropNode"><p>
<span class="name">treatWarningsAsErrors</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether warnings will be handled as errors and cause the build to fail.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@treatWarningsAsErrors -->
<br/>
<!-- $$$verboseOutput -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="verboseOutput-prop">
<td class="tblQmlPropNode"><p>
<span class="name">verboseOutput</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to display verbose output from the compiler and linker.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@verboseOutput -->
<br/>
<!-- $$$version -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="version-prop">
<td class="tblQmlPropNode"><p>
<span class="name">version</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX version.</p>
<p>Consists of four numbers separated by dots. For example, &quot;3.7&#x2e;1224.0&quot;.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@version -->
<br/>
<!-- $$$versionBuild -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionBuild-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionBuild</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The fourth WiX version number component.</p>
<p>Default: <code>versionParts[3]</code></p>
</div></div><!-- @@@versionBuild -->
<br/>
<!-- $$$versionMajor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMajor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMajor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX major version.</p>
<p>Default: <code>versionParts[0]</code></p>
</div></div><!-- @@@versionMajor -->
<br/>
<!-- $$$versionMinor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMinor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMinor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX minor version.</p>
<p>Default: <code>versionParts[1]</code></p>
</div></div><!-- @@@versionMinor -->
<br/>
<!-- $$$versionParts -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionParts-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionParts</span> : <span class="type">list</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX version as a list.</p>
<p>For example, WiX version 3.7&#x2e;1224.0 would correspond to a value of <code>[3, 7, 1224, 0]</code>.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@versionParts -->
<br/>
<!-- $$$versionPatch -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionPatch-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionPatch</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The WiX patch level.</p>
<p>Default: <code>versionParts[2]</code></p>
</div></div><!-- @@@versionPatch -->
<br/>
<!-- $$$visualStudioCompatibility -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="visualStudioCompatibility-prop">
<td class="tblQmlPropNode"><p>
<span class="name">visualStudioCompatibility</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to pass most of the same preprocessor macros to the compiler as Visual Studio does.</p>
<p>This allows easier authoring of WiX files that are compatible with both Qbs and MSBuild.</p>
<p>Default: <code>true</code></p>
</div></div><!-- @@@visualStudioCompatibility -->
<br/>
<!-- $$$warningLevel -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="warningLevel-prop">
<td class="tblQmlPropNode"><p>
<span class="name">warningLevel</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The severity of warnings to emit.</p>
<p>The higher the level, the more warnings will be shown.</p>
<p>Possible values include: <code>&quot;none&quot;</code>, <code>&quot;normal&quot;</code>, <code>&quot;pedantic&quot;</code></p>
<p>Default: <code>&quot;normal&quot;</code></p>
</div></div><!-- @@@warningLevel -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
